Page MenuHomePhabricator

Update pdf print stylesheet
Closed, ResolvedPublic

Description

Version sent by @RHo:

Apply print styles to wikilater

Event Timeline

@RHo Do you want to provide mocks or do you want to signoff live when those current styles are applied (or both)?

atgo moved this task from Backlog to Doing on the New-Readers board.Oct 17 2016, 9:13 AM
RHo reassigned this task from RHo to Nirzar.Oct 17 2016, 1:23 PM

hey @Jhernandez – handing over to @Nirzar who will likely have some tweaks to the css first.

atgo triaged this task as Medium priority.Oct 17 2016, 3:18 PM
atgo moved this task from Doing to Epics in progress on the New-Readers board.

@Nirzar I've uploaded the mentioned styles here: https://github.com/joakin/protowiki/blob/master/src/styles/print.css

You can see the results on the deployed https://wikilater-1.surge.sh/wiki/Cat if you print in chrome.

And you this is the service rendered pdf

from the render service

@Nirzar it's merged and deployed, have a look. If it's good then let's resolve this!

The styling on this has some issues... images are doing a lot of weird things. Anything we can do?

@atgo looks like .thumbinner issue. i will fix it..

@Nirzar taking this from the design column to match with Reading-Web-Sprint-84-Zero-minutes-left

atgo moved this task from Sign-off needed to Done on the New-Readers board.Oct 31 2016, 5:31 PM

Still looks weird on pages 7, 8, 9, etc.. Fixable?

atgo moved this task from Done to Sign-off needed on the New-Readers board.Oct 31 2016, 5:39 PM

@atgo I haven't fixed it yet.

@Nirzar got it. Moved it back to your column in New-Readers. Do we need to do the same in the Web board(s)?

@Nirzar is this one ready for dev?

@Nirzar - should we move this to next sprint for dev?

Nirzar moved this task from Sign-off needed to Blocked on the New-Readers board.
Jhernandez closed this task as Resolved.Nov 24 2016, 12:08 PM

Mergerd and deployerd